Problems in Windows version

2006-09-22 05:01 AM - Martin Dobias

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10345

Description

Qgis 0.8 preview 2 for Windows needs following additions:

    -  manuals for Grass programs in docs/html direcotory

    -  distribution of MSYS - to enable usage of Grass shell

History

#1 - 2006-09-30 08:35 AM - Redmine Admin

MINSYS not MSYS

#2 - 2006-10-12 10:08 AM - Martin Dobias

Moved from ticket #317:

    -  developers photos in the Help>Info>Developers

btw. it's MSYS not MINSYS ;-) see http://www.mingw.org/

#3 - 2006-10-23 10:12 AM - mariate-forwild-umass-edu -

I am using windows 2000.

When I work with QGIS 0.8 preview 1, I can use the GRASS shell, but I am unable to open it in the QGIS 0.8 preview 2. Is there anything I have to add to

keep using preview 2 with the GRASS shell?

#4 - 2006-12-04 06:59 AM - Martin Dobias

Update (test build from 29.november 2006):

    -  AUTHORS and SPONSORS file must be copied to share/qgis/doc/ directory

    -  with Qt 4.2.0 it did't load developer photos - with Qt 4.2.1 it worked for me

    -  new picture of Denis Antipov should be used - previous was XPM with JPG extensions and windows Qt has a problem with that (fixed in )

    -  manual for GRASS are present but don't show up in manual tab in grass toolbox

    -  grass shell fails to start: msys.bat doesn't like to be installed in path with spaces. What about running directly rxvt or sh?

    -  MSYS distribution could be smaller: most commands are not going to be used (ps, mount, vim ...)

#5 - 2006-12-04 07:11 AM - Martin Dobias

More missing stuff:

    -  QGIS help viewer (+ qgis_help.db needs update)

    -  [[MapServer]] export utility
http://www.mingw.org/


Providers and plugins:

    -  Postgres provider fails to load

    -  some providers (gpx, wfs, wms) and plugins (geoprocessing, georeferencer, gps, spit, wfs) are not compiled

#6 - 2006-12-04 07:17 AM - Martin Dobias

From ticket #328:

    -  GDAL binaries must be included in distribution otherwise r.out.gdal won't work

#7 - 2006-12-05 05:13 AM - Tim Sutton

The msys shell issue should be fixed now (rev 6187)

#8 - 2006-12-09 10:54 AM - frdcn-hotmail-com -

Connect button in SPIT is always deactivated.

#9 - 2006-12-14 09:39 PM - Gary Sherman

- Status changed from Open to Closed

- Resolution set to fixed

There are too many separate issues identified throughout this bug report. The initial issues are solved, as are most of the ones subsequently mentioned in

the comments. Connect button is disabled because connects are automatic. Why it shows up on the dialog I'm not sure.

Please file a separate ticket for each issue (you can use one ticket for closely related issues, like the original purpose of this ticket).

#10 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
